PHP 5.6.16 is available

Runtime Configuration

The behaviour of these functions is affected by settings in php.ini.

Imagick configuration options
Name Default Changeable Changelog
imagick.locale_fix FALSE PHP_INI_ALL Available since Imagick 2.1.0
imagick.progress_monitor FALSE PHP_INI_SYSTEM Available since Imagick 2.2.2
imagick.skip_version_check FALSE PHP_INI_SYSTEM Available since Imagick 3.3.0
For further details and definitions of the PHP_INI_* modes, see the Where a configuration setting may be set.

Here's a short explanation of the configuration directives.

imagick.locale_fix boolean

Fixes a drawing bug with locales that use ',' as float separators.

imagick.progress_monitor boolean

Used to enable the image progress monitor.

imagick.skip-version-check boolean

When Imagick is loaded, it checks the version number of ImageMagick that it was compiled against, with the version number that is currently being used and will give a warning if they don't match. This warning can be suppressed by enabling this ini setting.

Using a version of Imagick that was compiled against a different version of ImageMagick than the one being used is not recommended. Although it may appear to work, it can lead to random crashes or other undefined behaviour.

add a note add a note

User Contributed Notes

There are no user contributed notes for this page.
To Top